# Personas
source: https://developer.mastercard.com/carbon-calculator/documentation/testing/testcase/test_case_engagement_personas/index.md

**Personas** delivers a list of available climate profile personas.

## Pre-requisites {#pre-requisites}

Refer to the [Personas](https://developer.mastercard.com/carbon-calculator/documentation/use-cases/engagement-services/personas/index.md) use case.


API Reference: `GET /personas`

<br />

## Test Cases {#test-cases}

### Test Case: Success-Personas {#test-case-success-personas}

##### Request {#request}

    {{host}}/personas

##### Response {#response}

```json
{
    "items": [
        {
            "description": "Climate Focused individuals are confident in their understanding of climate change, highly motivated to take action, and actively demonstrate this through their lifestyle choices. This is the only persona knowledge, motivation and lifestyle are aligned.\n\nThey typically have above-average education and average income levels. These users are interested in all types variety of sustainable lifestyle solutions, particularly those with lower adoption rates, such as sustainable transportation options.",
            "id": "1",
            "language": "en",
            "title": "Climate Focused"
        },
        {
            "description": "Climate Initiates are motivated and confident in their understanding of sustainability but struggle to translate that knowledge into climate action. Their stuck on the wrong side of the intention-action gap.\n\nThey represent the wealthiest persona, with access to more resources, but also face numerous opportunities that might lead to unsustainable choices (lavish spending). While their intentions are good, self-restraint might not be their strongest point.",
            "id": "2",
            "language": "en",
            "title": "Climate Initiate"
        },
        {
            "description": "Curious Pragmatists are motivated to take climate action, but lack confidence in their sustainability knowledge. They are eager to learn more about climate change, often seeking general or superficial information.\n\nThese users are highly interested in sustainable lifestyle solutions, particularly those that are easier to adopt, such as sustainable shopping and food choices.",
            "id": "3",
            "language": "en",
            "title": "Curious Pragmatist"
        },
        {
            "description": "Experience Seekers shows little concern for climate change and take little to no action.\n\nThey have above-average income, but exhibit very low trust in banks as partners for climate action. Despite their lack of engagement in climate action, Experience Seekers can still be attracted by financial incentives, high-quality products, and sustainable lifestyle solutions related to shopping.",
            "id": "4",
            "language": "en",
            "title": "Experience Seeker"
        },
        {
            "description": "Green by Accident individuals are not particularly motivated to take climate action but display some sustainable behaviors, likely driven by a desire to save money.\n\nThey have below-average education and income levels and show average interest in sustainable lifestyle solutions compared to the general US population.",
            "id": "5",
            "language": "en",
            "title": "Green by Accident"
      }
    ],
    "language": "en",
    "total": 5
}
```

### Test Case: Fail-Invalid Request parameter {#test-case-fail-invalid-request-parameter}

##### Request {#request-1}

    {{host}}/personas?language=abc

##### Response {#response-1}

```json
{
    "Errors": {
        "Error": [
            {
                "Source": "Carbon-Calculator",
                "ReasonCode": "INVALID_REQUEST_PARAMETER",
                "Description": "One of the request parameters is invalid, try again with correct request.",
                "Recoverable": false,
                "Details": "Language codes must follow ISO 639-1 format (example: 'en')"
            }
        ]
    }
}
```

